Bug 996446 - [Translation history dialog] The keyboard shortcut mistakenly work on the main translation editor
Summary: [Translation history dialog] The keyboard shortcut mistakenly work on the mai...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Usability
Version: 3.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 3.1
Assignee: Patrick Huang
QA Contact: Zanata-QA Mailling List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-13 07:58 UTC by Ding-Yi Chen
Modified: 2013-11-27 03:36 UTC (History)
3 users (show)

Fixed In Version: 3.1-SNAPSHOT (20130913-1232)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 996398
Environment:
Last Closed: 2013-11-27 03:25:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 953734 None None None Never
Red Hat Bugzilla 996398 None None None Never
Red Hat Bugzilla 1008253 None None None Never

Internal Links: 953734 996398 1008253

Description Ding-Yi Chen 2013-08-13 07:58:33 UTC
Description of problem:
When entering the comments in translation history dialog, the only keyboard shortcut that should work is:

  Control-Enter: Confirm rejection

Some input method may clash with "Esc" (Japanese input methods and ibus-chewing), so no shortcut for "Cancel".

However, keyboard shortcut like "Ctrl-Enter" are mistakenly apply on the "background" translation editor.


Version-Release number of selected component (if applicable):
Zanata version 3.0.0-alpha-2-SNAPSHOT (20130813-1420)

How reproducible:
Always

Steps to Reproduce:
1. Go to translation editor
2. Click translation history icon on any of the non-empty translation.
3. Click to focus on the "Add a comment" text area
4. Press Ctrl-Enter

Actual results:
Save as Translated as if the translation history dialog was not there.

Expected results:
Save the comment and close the review comment dialog.

Additional info:
This is similar to Bug 996398.

Comment 1 Patrick Huang 2013-09-06 02:04:41 UTC
https://github.com/zanata/zanata-server/pull/147

Comment 2 Sean Flanigan 2013-09-06 04:46:58 UTC
Do we need this fix in 3.0?

Comment 3 Ding-Yi Chen 2013-09-16 06:05:22 UTC
The Firefox bug is Bug 1008253

Comment 4 Ding-Yi Chen 2013-09-16 06:37:59 UTC
VERIFIED with Zanata version 3.1-SNAPSHOT (20130913-1232) with Chromium 27.0.1453.93.

And Firefox 17.0.8 without pressing Esc.


Note that Firefox still suffer from Bug 1008253.

Step to reproduce:
1. Go to translation editor view
2. Find or make a Translated message.
3. Click *History* icon on that message.
4. Type "Ok" in comment entry.
5. Press key "Escape"
6. Click *Add Comment*

Actual:
The comment is added, but comment counter is not updated.

Expected: 
The comment is added, and comment counter should be updated.


Additional Info:
The comment is in translation history though.

Comment 5 Sean Flanigan 2013-11-27 03:16:07 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.

Comment 6 Sean Flanigan 2013-11-27 03:17:09 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.

Comment 7 Sean Flanigan 2013-11-27 03:19:28 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.

Comment 8 Sean Flanigan 2013-11-27 03:25:26 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.

Comment 9 Sean Flanigan 2013-11-27 03:34:14 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.

Comment 10 Sean Flanigan 2013-11-27 03:36:24 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.


Note You need to log in before you can comment on or make changes to this bug.